commit:     939290a549c369484b8558aa4e993647fa4830bd
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 24 00:57:30 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed Apr 24 00:57:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=939290a5

dev-libs/libressl: bump to 2.9.1 stable release

* This is considered stable upstream, but will remain keyworded for a
bit to test.

* Tests were altered in this release. Thus, we have to explicitly
disable tests when --disable-static is passed to the build system which
is default for Gentoo. (Thanks to Jory Pratt for this fix)

* Tests still run when the required static-libs is set.  No changes
here.

Reviewed-by: Jory Pratt <anarchy <AT> gentoo.org>
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 dev-libs/libressl/Manifest              |  1 +
 dev-libs/libressl/libressl-2.9.1.ebuild | 62 +++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-libs/libressl/Manifest b/dev-libs/libressl/Manifest
index 4f5caa7d95b..182b62b8294 100644
--- a/dev-libs/libressl/Manifest
+++ b/dev-libs/libressl/Manifest
@@ -2,3 +2,4 @@ DIST libressl-2.6.5.tar.gz 3225481 BLAKE2B 
fcdf0d8b4b68fdb6c17299f4b9897c84f51ec
 DIST libressl-2.7.5.tar.gz 3539591 BLAKE2B 
0cda7307f01cea21584b3e814a20053ab128016f0b639856eb04b52f91156c74b8fdba485401e099f472ae7d9a35e9be54d169e3ddf743540595c2ffa0f979ff
 SHA512 
00828dd115f6395186ce4c9cadb604612763f67f2ad2236a331062add8115f6494a655cbec237ae069e373ffb915ed4025c993e06456c3da69b279e5f7e2b8d4
 DIST libressl-2.8.3.tar.gz 3366196 BLAKE2B 
e32c097b31998d68a31266fbbf3624d5ab8ca716f8c53e423bcf09b3a8ab3542c92a99e259ded7b86f99b45cc199cd44791520a609f18c35d150365de5768eec
 SHA512 
3967e08b3dc2277bf77057ea1f11148df7f96a2203cd21cf841902f2a1ec11320384a001d01fa58154d35612f7981bf89d5b1a60a2387713d5657677f76cc682
 DIST libressl-2.9.0.tar.gz 3400383 BLAKE2B 
652ac9ff962fd187563f2f6f9ea423d682f743c8443954ad3a8adc810530711482705f0cac1a805e2f85697ed1fed156c80da913dc07c8c13cd6ce78e44b6c4d
 SHA512 
db7fec664bef8d76204ca691c11df236abce3c85b2a51011eec5bd302e273b62fa3cfce0430980915c3f3ce34176d5ef9c187902f0b39d7fc151e69e552b499c
+DIST libressl-2.9.1.tar.gz 3607116 BLAKE2B 
a4542d7fc97bfd213162fe908e28b27d52329e2b6a5d77e0cb67d1a6732c500ca772d0c5735c9fcd036c477e6ede330305b4675bfcff9f72fd7886a781f30015
 SHA512 
7051911e566bb093c48a70da72c9981b870e3bf49a167ba6c934eece873084cc41221fbe3cd0c8baba268d0484070df7164e4b937854e716337540a87c214354

diff --git a/dev-libs/libressl/libressl-2.9.1.ebuild 
b/dev-libs/libressl/libressl-2.9.1.ebuild
new file mode 100644
index 00000000000..e7bdc1e5c69
--- /dev/null
+++ b/dev-libs/libressl/libressl-2.9.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/";
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz";
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so.  Since these can differ,
+# we'll try to use the max of either.  However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/47"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+REQUIRED_USE="test? ( static-libs )"
+
+RDEPEND="!dev-libs/openssl:0"
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+       touch crypto/Makefile.in
+
+       sed -i \
+               -e '/^[ \t]*CFLAGS=/s#-g ##' \
+               -e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+               -e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+               configure || die "fixing CFLAGS failed"
+
+       if ! use test ; then
+       sed -i \
+               -e '/^[ \t]*SUBDIRS =/s#tests##' \
+               Makefile.in || die "Removing tests failed"
+       fi
+
+       eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+       eapply_user
+
+       elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable asm) \
+               $(use_enable static-libs static)
+}
+
+multilib_src_test() {
+       emake check
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${D}" -name '*.la' -exec rm -f {} + || die
+}
\ No newline at end of file

Reply via email to